Name:           a2jmidid
Version:        9
Release:        %mkrel 1
Summary:        ALSA to JACK midi bridge
Group:          Sound/Utilities
License:        GPLv2 and GPLv2+
URL:            https://github.com/linuxaudio/a2jmidid
Source:         https://github.com/linuxaudio/a2jmidid/archive/%{version}/%{name}-%{version}.tar.gz
# Backported from upstream
Patch0:         %{name}-man.patch
Patch1:         %{name}-portname.patch
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  meson
BuildRequires:  gcc

Requires:       python3

%description
a2jmidid is a daemon for exposing legacy ALSA sequencer applications in JACK
MIDI system.

%prep
%autosetup -p1

# Fix Python shebangs
sed -i 's|^#!/usr/bin/env python3|#!/usr/bin/python3|' a2j_control

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS.rst README.rst CHANGELOG.rst
%license LICENSE
%{_bindir}/a2j
%{_bindir}/a2j_control
%{_bindir}/a2jmidid
%{_bindir}/a2jmidi_bridge
%{_bindir}/j2amidi_bridge
%{_datadir}/dbus-1/services/org.gna.home.a2jmidid.service
%{_mandir}/man1/a2jmidid.1*
%{_mandir}/man1/a2jmidi_bridge.1*
%{_mandir}/man1/j2amidi_bridge.1*
%{_mandir}/man1/a2j.1*
%{_mandir}/man1/a2j_control.1*


%changelog
* Tue Oct 01 2019 daviddavid <daviddavid> 9-1.mga7
+ Revision: 1448644
- new version: 9
- switch to meson build system
- switch to python 3
- new URL and Source URL

* Sun Sep 23 2018 umeabot <umeabot> 8-6.mga7
+ Revision: 1297262
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 pterjan <pterjan> 8-5.mga7
+ Revision: 1241197
- Add fedora patch for aarch64

* Fri Feb 05 2016 umeabot <umeabot> 8-4.mga6
+ Revision: 939786
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 8-3.mga5
+ Revision: 743131
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 8-2.mga5
+ Revision: 677666
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 animtim <animtim> 8-1.mga5
+ Revision: 666267
- imported package a2jmidid

